POST api/CostEstimate/UpdateCostEstimate
Update a cost estimate on a activity
Exceptions
| Exception | Condition |
|---|---|
| UnauthorizedHttpResponseException |
If ticket cannot be validated or if you do not have access to activity |
| ArgumentNullHttpResponseException |
If any arguments are null |
| ArgumentOutOfRangeHttpResponseException |
If any arguments out for range |
Examples
The sample below show how to setup a call the UpdateCostEstimate
var arg = {
TicketId : "71137607-4587-44C9-BE92-A699180E42C9",
CombinedActivityId : "sesam10:1234567",
ReedBackStatus: "estOk"
}
$.ajax({
url: 'https://api.infocare.com/api/CostEstimate/UpdateCostEstimate',
type: "POST",
data: JSON.stringify(arg),
contentType: "application/json;charset=utf-8"
})
.done(function (result) {
})
.fail(function (jqXHR, textStatus, err) {
console.log("error updating: " + err);
})
Request Information
URI Parameters
None.
Body Parameters
Identifies the activity the cost estimate is connected to, specify the CostEstimateController.CostEstimateArgumentModel.CombinedActivityId property. To set new status for the cost estimate specify the FeedBackStatus. Only statuses from CostEstimateModel.ValidStatus can be used.
CostEstimateArgumentModel| Name | Description | Type | Additional information |
|---|---|---|---|
| CombinedActivityId |
Gets or sets the criteria. |
string |
None. |
| FeedBackStatus | string |
None. |
|
| TicketId |
Gets or sets the ticket id |
string |
None. |
| Culture |
Gets or sets culture, if not specified we will use culture set on user. |
string |
None. |
Request Formats
application/json, text/json
{
"CombinedActivityId": "sample string 1",
"FeedBackStatus": "sample string 2",
"TicketId": "sample string 3",
"Culture": "sample string 4"
}
application/xml, text/xml
<CostEstimateController.CostEstimateArgumentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Rostov.Controllers">
<Culture xmlns="http://schemas.datacontract.org/2004/07/Rostov.Models">sample string 4</Culture>
<TicketId xmlns="http://schemas.datacontract.org/2004/07/Rostov.Models">sample string 3</TicketId>
<CombinedActivityId>sample string 1</CombinedActivityId>
<FeedBackStatus>sample string 2</FeedBackStatus>
</CostEstimateController.CostEstimateArgumentModel>
application/x-www-form-urlencoded
Response Information
Resource Description
BaseReturnModel| Name | Description | Type | Additional information |
|---|---|---|---|
| CombinedPerformanceId |
Gets or sets the performance id. If performance monitoring is not turned on this property will not be present or set to null |
string |
Json null value handling: Ignore |
Response Formats
application/json, text/json
{
"CombinedPerformanceId": "sample string 1"
}
application/xml, text/xml
<BaseReturnModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Rostov.Models">
<CombinedPerformanceId>sample string 1</CombinedPerformanceId>
</BaseReturnModel>